Loading...
Searching...
No Matches
IAttributeExchangingObject.h File Reference
`#include "IReferenceCounted.h"`

Go to the source code of this file.

## Classes

class | irr::io::IAttributeExchangingObject
| An object which is able to serialize and deserialize its attributes into an attributes object. More...
struct | irr::io::SAttributeReadWriteOptions
| struct holding data describing options More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::io
| This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

## Enumerations

enum | irr::io::E_ATTRIBUTE_READ_WRITE_FLAGS { irr::io::EARWF_FOR_FILE = 0x00000001 , irr::io::EARWF_FOR_EDITOR = 0x00000002 , irr::io::EARWF_USE_RELATIVE_PATHS = 0x00000004 }
| Enumeration flags passed through SAttributeReadWriteOptions to the IAttributeExchangingObject object. More...

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0